import pandas as pd
import sys
sys.path.append('Scripts')
from preprocess_daily import DailyPreprocessor
self = DailyPreprocessor()
self.load_data() # 1. 데이터 불러오기
self.make_match1(fetch_all=True) # 2-1-1
print(self.match1)
# self.match1.at[7, 'move_A'] = 17 # 176(i1) 비보호 좌회전 사례 만들기 (잘 되지 않음)
self.match1 = self.match1.drop(index=[9, 11]) # 177(i2) 잘못 지정된 이동류번호 수정
self.match1.loc[10, ['phas_A', 'phas_B']] = 2 # 177(i2) 추가수정
self.match1 = self.match1.reset_index(drop=True)
self.match1.to_csv('Intermediates/match1.csv', index=0)
print(self.match1)